/*
 * $Id: Signal_get_sc_signal.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_sc_signal"
  void * Signal::get_sc_signal (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    void * _return = _sc_signal;
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
